Name:		tmake
Version:	1.8
Release:	1
Group:		Development/Tools
Source:		ftp://ftp.troll.no/feeebies/tmake/%{name}-%{version}.tar.gz
Summary:	Troll's Makefile generator
License:	BSD-ish
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
tmake is an easy-to-use tool for creating and maintaining makefiles across
many platforms and compilers. For information about installing and using
tmake, see:

  doc/tmake.html      -- User's Guide
  doc/tmake_ref.html  -- Reference Manual

Download the latest version from: <ftp://ftp.trolltech.com/freebies/tmake/>

License Statement for tmake

Copyright (C) 1996-2000 by Troll Tech AS.  All rights reserved.

Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted, provided
that this copyright notice appears in all copies.
No representations are made about the suitability of this software for any
purpose. It is provided "as is" without express or implied warranty.

%prep
%setup -q

%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
%{__install} -d $RPM_BUILD_ROOT/{%{_bindir},%{_datadir}/tmake,/etc/profile.d}
%{__install} -m 755 bin/{progen,tmake} $RPM_BUILD_ROOT/%{_bindir}
(cd lib; %{__cp} -a *  $RPM_BUILD_ROOT/%{_datadir}/tmake)

echo "export TMAKEPATH=%{_datadir}/tmake/linux-g++" > $RPM_BUILD_ROOT/etc/profile.d/tmake.sh
echo "setenv TMAKEPATH %{_datadir}/tmake/linux-g++" > $RPM_BUILD_ROOT/etc/profile.d/tmake.csh
%{__chmod} 755 $RPM_BUILD_ROOT/etc/profile.d/tmake.*

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc CHANGES doc example LICENSE README
%{_bindir}/progen
%{_bindir}/tmake
%{_datadir}/tmake
/etc/profile.d/tmake.csh
/etc/profile.d/tmake.sh

%changelog
* Thu Mar 31 2005 Paul Howarth <paul@city-fan.org>
- initial RPM build
